# ApplicationFramework
TKCDF
PCDM

# PCDM_DOMHeaderParser Class Reference

`#include <PCDM_DOMHeaderParser.hxx>`

Inheritance diagram for PCDM_DOMHeaderParser:

[legend]

## Public Member Functions

void | SetStartElementName (const TCollection_AsciiString &aStartElementName)
void | SetEndElementName (const TCollection_AsciiString &anEndElementName)
Standard_Boolean | startElement ()
Standard_Boolean | endElement ()
const LDOM_Element & | GetElement () const

## Private Attributes

LDOM_Element | myElement
LDOMString | myStartElementName
LDOMString | myEndElementName

## Member Function Documentation

Standard_Boolean PCDM_DOMHeaderParser::endElement | ( |  | ) | `[virtual]`

| Reimplemented from LDOMParser.

const LDOM_Element& PCDM_DOMHeaderParser::GetElement | ( |  | ) | const`[inline]`

void PCDM_DOMHeaderParser::SetEndElementName | ( | const TCollection_AsciiString & | anEndElementName | ) |

void PCDM_DOMHeaderParser::SetStartElementName | ( | const TCollection_AsciiString & | aStartElementName | ) |

Standard_Boolean PCDM_DOMHeaderParser::startElement | ( |  | ) | `[virtual]`

| Reimplemented from LDOMParser.

## Field Documentation

LDOM_Element PCDM_DOMHeaderParser::myElement `[private]`

LDOMString PCDM_DOMHeaderParser::myEndElementName `[private]`

LDOMString PCDM_DOMHeaderParser::myStartElementName `[private]`

The documentation for this class was generated from the following file:

- PCDM_DOMHeaderParser.hxx